lkml.org 
[lkml]   [2017]   [Sep]   [12]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
 
Messages in this thread
/
Date
From
SubjectRe: [PATCH v2 3/4] ARM: dts: omap3: Fix Sharp LS037V7DW01 compatible string and envdd supply
* Derald D. Woods <woods.technical@gmail.com> [170911 20:48]:
> The Sharp panel driver and regulator are now selected properly. This
> commit eliminates a dummy regulator assignment.
>
> Signed-off-by: Derald D. Woods <woods.technical@gmail.com>
>
> ---
> arch/arm/boot/dts/omap3-panel-sharp-ls037v7dw01.dtsi | 3 ++-
> 1 file changed, 2 insertions(+), 1 deletion(-)
>
> diff --git a/arch/arm/boot/dts/omap3-panel-sharp-ls037v7dw01.dtsi b/arch/arm/boot/dts/omap3-panel-sharp-ls037v7dw01.dtsi
> index 157345bb8e79..15f73e5adfdf 100644
> --- a/arch/arm/boot/dts/omap3-panel-sharp-ls037v7dw01.dtsi
> +++ b/arch/arm/boot/dts/omap3-panel-sharp-ls037v7dw01.dtsi
> @@ -26,9 +26,10 @@
> };
>
> lcd0: display {
> - compatible = "sharp,ls037v7dw01";
> + compatible = "omapdss,sharp,ls037v7dw01";

Is this change needed? I think the driver automatically matches
even with the "omapdss" part missing?

If it's needed, can you please update the description for why
it's needed.

Regards,

Tony

\
 
 \ /
  Last update: 2017-09-12 16:35    [W:0.082 / U:9.284 seconds]
©2003-2017 Jasper Spaans. hosted at Digital OceanAdvertise on this site